body {
  background-color: var(---background);
  color: var(---text);
}
body h1,
h2,
h3,
h4 {
  color: var(---text-primary);
}

.dark {
  ---background: #14151a;
  ---card-border: #0b0e11;
  ---text: #efeaeacd;
  ---text-primary: #e7be1b;
}

.bright {
  ---background: #d0cdcde2;
  ---card-border: #c4c4cf;
  ---text: #424040;
  ---text-primary: #2d2e83;
}

/* https://www.w3schools.com/howto/howto_css_switch.asp */
/* The switch - the box around the slider */
header {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 14px;
  margin-bottom: 0rem;
}

.switch label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 10px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #3889cc;
}

input:focus + .slider {
  box-shadow: 0 0 1px #3889cc;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/*-----------------------------------------*/

.theme-swap {
  display: flex;
  align-items: center;
}

.navbar {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  background-color: var(---background);
  position: sticky;
  top: 0;
  padding: 5px;
  z-index: 1000;
}

.navbar .title {
  display: flex;
  font-size: 1.9rem;
  margin: 1rem;
  font-weight: 300;
  text-decoration: none;
  text-align: start;
}

.navbar .subtitle {
  display: flex;
  justify-content: space-around;
  font-size: 1.2rem;
  font-weight: 200;
  text-align: center;
  padding-bottom: 5px;
}

.navbar ul {
  display: flex;
}

.navbar li {
  list-style: none;
}

.navbar ul li a {
  display: block;
  text-decoration: none;
  color: var(---text-primary);
  font-weight: 500;
  padding: 0.5rem;
  margin: 0 0.5rem;
  border-radius: 0.5rem;
}

nav ul li a.active {
  font-size: 1.3rem;

  color: #00c38a;
  text-shadow: 5px 5px 10px #888888;
}

.navbar ul li a:not(.active):hover {
  box-shadow: 4px 3px 10px 0 rgba(6, 127, 226, 0.527);
  color: #00c38a;
  scale: 1.05;
}

/* -------  */

.card {
  width: 80%;
  margin: 0;
  margin: auto;
  background: rgba(20, 21, 26, 0.05);
  box-shadow: 0 8px 22px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  margin-bottom: 3rem;
}

.card-title {
  color: var(---text-primary) !important;
}

.card img {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.techs {
  margin: 1rem;
}

.techs-symbols {
  width: 2.5rem;
  height: 2.5rem;
}

.btns {
  width: 100%;
  margin: 0.5rem;
  display: flex;
  justify-content: space-evenly;
}

.btn {
  width: 8rem;
  margin: 0.4rem;
}

/* ------------------- */

.divsize {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 80%;
  margin: 0;
  margin: auto;
}

.pageTitle {
  margin-top: 1rem;
  margin-bottom: 1.25rem;

  font-size: 1.5rem;
  /* color: #00abc3; */
  text-align: center;
  text-transform: uppercase;
}

.imageRound {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
  display: inline-block;
}
.meImage {
  width: 98%;
  height: 98%;
  top: 0.75%;
  left: 1.15%;
  background-color: var(---background);
  border-radius: 50%;
  position: relative;
  z-index: 2;
}

.imageRound::before {
  content: "";
  position: absolute;
  top: -5px;
  left: -5px;
  width: 110%;
  height: 110%;
  border: 1px solid transparent;
  border-image: linear-gradient(to right, #00acc3bd, #ff850cc9, #dc69ffc2);
  border-image-slice: 1 fill;
  box-sizing: border-box;
  border-radius: 50%;
  z-index: 1;
  animation: rotateBorder 4s infinite;
  animation-timing-function: ease-in-out;
}

@keyframes rotateBorder {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (min-width: 1200px) {
  .divsize {
    width: 70%;
    margin: auto;
  }
}

/**/
/* Hide default arrow */
details summary::-webkit-details-marker {
  display: none;
}

/* Style the summary as a flex container */
details summary {
  display: flex;
  align-items: center;
  cursor: pointer;
}

/* Add margin to the icon */
details summary svg {
  margin-right: 8px;
}

/* Custom icon styles */
details summary::before {
  content: "📘";
  font-size: 20px;
  line-height: 1;
  color: #3498db;
}

/* Open state styles for the custom icon */
details[open] summary::before {
  content: "📖";
}

/* --------------- */

.form-group {
  padding: 3rem;
}

.form-control {
  background-color: #f8f9fad1;
  border: solid 0.5px #07256966;
}
/* ---- */

#carouselExampleIndicators {
  width: 85%;
  margin: 0;
  margin: auto;
}

#contact_form {
  width: 70%;
}

#about_content {
  width: 80%;
}
